## control-plugin-example 0.0.4

=== Makefile ===
NAME = src/control-plugin-example
SRCS = src/example-plugin.c

# let caller override optimization setting
CFLAGS ?= -O2
CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
	-Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += $(shell pkg-config --cflags gtk+-2.0 glib-2.0 gmodule-2.0)
LDFLAGS = $(shell pkg-config --libs gtk+-2.0 glib-2.0 gmodule-2.0)

$(NAME): $(SRCS)
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

clean:
	$(RM) $(NAME)

install: $(NAME)
	install -d $(DESTDIR)/usr/lib/control-plugin-loader/
	install -m 755 $(NAME) $(DESTDIR)/usr/lib/control-plugin-loader/
