=== debian/changelog ===
control-plugin-example (0.0.4) unstable; urgency=low

  * Fixed outdated FSF contact address in licensing information

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 22 Dec 2008 14:36:12 +0200

control-plugin-example (0.0.3) unstable; urgency=low

  * Removed autotools, now using a single makefile

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-example (0.0.2) unstable; urgency=low

  * New standalone architecture

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-example (0.0.1) unstable; urgency=low

  * First version

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200
