=== debian/control ===
Source: control-plugin-example
Section: user/tools
Priority: optional
Maintainer: Eero Tamminen <Eero.Tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: control-plugin-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, control-plugin-loader
Description: Example plugin for the control-plugin-loader
 A minimal example plugin for the control-plugin-loader.
